HP_UX 下g++编译器编译tuxedo错误!!_MQ, Tuxedo及OLTP讨论区_Weblogic技术|Tuxedo技术|中间件技术|Oracle论坛|JAVA论坛|Linux/Unix技术|hadoop论坛_联动北方技术论坛  
网站首页 | 关于我们 | 服务中心 | 经验交流 | 公司荣誉 | 成功案例 | 合作伙伴 | 联系我们 |
联动北方-国内领先的云技术服务提供商
»  游客             当前位置:  论坛首页 »  自由讨论区 »  MQ, Tuxedo及OLTP讨论区 »
总帖数
1
每页帖数
101/1页1
返回列表
0
发起投票  发起投票 发新帖子
查看: 1923 | 回复: 0   主题: HP_UX 下g++编译器编译tuxedo错误!!        下一篇 
ying
注册用户
等级:上尉
经验:694
发帖:59
精华:0
注册:2012-10-12
状态:离线
发送短消息息给ying 加好友    发送短消息息给ying 发消息
发表于: IP:您无权察看 2014-10-21 17:57:32 | [全部帖] [楼主帖] 楼主

各位大侠,在HP_UX下用g++编译器怎么不行啊,连个simpapp都搞不定,用CC和aCC都没有问题,如果把环境CC=/opt/hpgcc/bin/g++,就报错了:

先是报C++不允许tpsvrinit()函数没有类型,改为int tpsvrinit()后还是原来的问题:

$ buildserver -o simpserv -f simpserv.c -s TOUPPER

g++: +DA2.0W: No such file or directory

CMDTUX_CAT:1832: ERROR: can't execute /home/tuxedo/hpgcc/usr/local/pa20_64/bin/g++ +DA2.0W -Wl,+s -D__BIGMSGQUEUE_ENABLED -I$TUXDIR/include -o simpserv BS-f1d.c -L${TUXDIR}/lib simpserv.c -ltux -lbuft -lfml -lfml32 -lengine -lpthread -lcl -lnsl

难道+DA2.0W都成了文件?怪

哪位大哥在hp上用过g++,是不是需要特殊配置?多谢了先!!

北京联动北方科技有限公司

--友情转载




赞(0)    操作        顶端 
总帖数
1
每页帖数
101/1页1
返回列表
发新帖子
请输入验证码: 点击刷新验证码
您需要登录后才可以回帖 登录 | 注册
技术讨论